---
# Ponemos un frontmatter porque queremos que Jekyll procese este archivo
---

{%- assign theme = site.posts | find: "layout", "theme" -%}

{% if theme %}
  {{ theme | yaml_to_scss: site.data.layouts.theme }}
{% endif %}

$debug: {{ jekyll.environment | not: 'production' }};
$vendor-prefixes: ("", "-webkit-", "-ms-", "-o-", "-moz-");
$bezier: cubic-bezier(0.75, 0, 0.25, 1);

$colors: (
  "black": black
);

$opacities: (
  0: -100%,
  1: -80%,
  2: -60%,
  3: -40%,
  4: -20%,
  5: 0%
);

$sizes: (
  300: 300px
);

/*
 * Redefinir variables de Boostrap acá.  Se las puede ver en
 * node_modules/bootstrap/scss/_variables.scss
 */

/*
 * XXX: Solo importar los archivos necesarios de bootstrap para
 * facilitar la reducción de CSS.  Por ahora pedimos todo para poder
 * empezar a trabajar en el HTML sin pensar en CSS.
 */
@import "bootstrap/scss/bootstrap";
@import "fork-awesome/scss/fork-awesome";
@import "typography";
@import "navbar";
@import "accessibility";
@import "helpers";
@import "toggler";
@import "share_box";
@import "embed";
@import "snap";
@import "editor";
@import "menu";
@import "logic";
@import "floating_alert";

@if $debug {
  /*
   * Mostrar un borde alrededor de todos los elementos para poder
   * trabajar.
   */
  * { outline: 1px solid pink; }
}
